org.eclipse.viatra.query.runtime.extensibility

## Class SingletonQuerySpecificationProvider

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.util.SingletonInstanceProvider<IQuerySpecification<?>>
  - - org.eclipse.viatra.query.runtime.extensibility.SingletonQuerySpecificationProvider

- All Implemented Interfaces:
    java.util.function.Supplier<IQuerySpecification<?>>, IQuerySpecificationProvider, IProvider<IQuerySpecification<?>>

      public class SingletonQuerySpecificationProvider
      extends SingletonInstanceProvider<IQuerySpecification<?>>
      implements IQuerySpecificationProvider

  Provider implementation for storing an existing query specification instance.
  Since:
    1.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.query.runtime.matchers.util.IProvider

      `IProvider.ProvidedValueFunction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingletonQuerySpecificationProvider(IQuerySpecification<?> instance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFullyQualifiedName()` Note that the provider will usually not load the query specification class to return the FQN.
    `java.lang.String` | `getSourceProjectName()` Returns the name of project providing the specification (or null if not calculable)

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.util.SingletonInstanceProvider

      `get`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Supplier

      `get`

- - ### Constructor Detail

    - #### SingletonQuerySpecificationProvider

          public SingletonQuerySpecificationProvider(IQuerySpecification<?> instance)

      Parameters:
        `instance` - the instance to wrap

  - ### Method Detail

    - #### getFullyQualifiedName

          public java.lang.String getFullyQualifiedName()

      Description copied from interface: `IQuerySpecificationProvider`
      Note that the provider will usually not load the query specification class to return the FQN.
      Specified by:
        `getFullyQualifiedName` in interface `IQuerySpecificationProvider`
      Returns:
        the fully qualified name of the provided query specification

    - #### getSourceProjectName

          public java.lang.String getSourceProjectName()

      Description copied from interface: `IQuerySpecificationProvider`
      Returns the name of project providing the specification (or null if not calculable)
      Specified by:
        `getSourceProjectName` in interface `IQuerySpecificationProvider`